QGIS Application - Feature request #2941
GDALTools - Grid: allow for more control of the output
2010-08-13 03:00 AM - Ricardo Silva

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13001
Description

Currently the GDALTools - Grid option allows for selection of the input and output file names, selection of the z field value, and tweaking
the algorithm used for interpolation parameters. It would be great if the user could also set other general options, mainly the output size
and extents. As these options already exist in the underlying gdal_grid utility, they shouldn't be too hard to implement. And they are very
useful for controlling the overall grid generation process

Associated revisions

Revision 04d82c01 - 2011-03-14 09:51 AM - Giuseppe Sucameli

allow output size in grid tool to fix #2941

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15471 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision a4e8e758 - 2011-03-14 09:51 AM - Giuseppe Sucameli

allow output size in grid tool to fix #2941

git-svn-id: http://svn.osgeo.org/qgis/trunk@15471 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-08-13 04:22 AM - Giovanni Manghi

Hi Ricardo,

feel free to post a patch with the proposed new options.

#2 - 2010-08-16 01:09 AM - chrislegg -

The format of GDAL Tools only allows for a relatively small number of options. It is probably more important for many users to be able to define the
geographic limits and pixel size of output grid than multiple parameters for interpolation process.

An alternative might be to allow interactive editing of the command line generated by GDAL tools in the bottom window of the dialogue. Experienced users
could add extra GDAL commands in this area.

#3 - 2010-08-16 01:48 AM - Borys Jurgiel

Allowing edition of the output would be great and easy improvement. Now | often have to copy the output to console and finish job there.
#4 - 2010-12-27 09:17 AM - Giuseppe Sucameli

Users can define extent now, see #3332

#5 - 2011-03-14 01:51 AM - Giuseppe Sucameli
- Resolution set to fixed
- Status changed from Open to Closed

Fixed from commit:a4e8e758 (SVN r15472)
